/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-23 at 01:44:56 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.drive;

/**
 * Available OAuth 2.0 scopes for use with the Drive API.
 *
 * @since 1.4
 */
public class DriveScopes {

  /** View and manage the files and documents in your Google Drive. */
  public static final String DRIVE = "https://www.googleapis.com/auth/drive";

  /** View and manage its own configuration data in your Google Drive. */
  public static final String DRIVE_APPDATA = "https://www.googleapis.com/auth/drive.appdata";

  /** View your Google Drive apps. */
  public static final String DRIVE_APPS_READONLY = "https://www.googleapis.com/auth/drive.apps.readonly";

  /** View and manage Google Drive files that you have opened or created with this app. */
  public static final String DRIVE_FILE = "https://www.googleapis.com/auth/drive.file";

  /** View metadata for files and documents in your Google Drive. */
  public static final String DRIVE_METADATA_READONLY = "https://www.googleapis.com/auth/drive.metadata.readonly";

  /** View the files and documents in your Google Drive. */
  public static final String DRIVE_READONLY = "https://www.googleapis.com/auth/drive.readonly";

  /** Modify your Google Apps Script scripts' behavior. */
  public static final String DRIVE_SCRIPTS = "https://www.googleapis.com/auth/drive.scripts";

  private DriveScopes() {
  }
}
