/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-23 at 01:44:56 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.drive.model;

/**
 * A reference to a folder's child.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Drive API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ChildReference extends com.google.api.client.json.GenericJson {

  /**
   * A link to the child.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String childLink;

  /**
   * The ID of the child.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * This is always drive#childReference.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * A link back to this reference.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String selfLink;

  /**
   * A link to the child.
   * @return value or {@code null} for none
   */
  public java.lang.String getChildLink() {
    return childLink;
  }

  /**
   * A link to the child.
   * @param childLink childLink or {@code null} for none
   */
  public ChildReference setChildLink(java.lang.String childLink) {
    this.childLink = childLink;
    return this;
  }

  /**
   * The ID of the child.
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * The ID of the child.
   * @param id id or {@code null} for none
   */
  public ChildReference setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  /**
   * This is always drive#childReference.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * This is always drive#childReference.
   * @param kind kind or {@code null} for none
   */
  public ChildReference setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * A link back to this reference.
   * @return value or {@code null} for none
   */
  public java.lang.String getSelfLink() {
    return selfLink;
  }

  /**
   * A link back to this reference.
   * @param selfLink selfLink or {@code null} for none
   */
  public ChildReference setSelfLink(java.lang.String selfLink) {
    this.selfLink = selfLink;
    return this;
  }

  @Override
  public ChildReference set(String fieldName, Object value) {
    return (ChildReference) super.set(fieldName, value);
  }

  @Override
  public ChildReference clone() {
    return (ChildReference) super.clone();
  }

}
